//*****************************************************************************
//* Copyright (c) 2004 Miday Workshop All rights reserved.
//*
//* File: SpotData.h
//*****************************************************************************
//#define SPOT_LIB  //Static library

typedef struct col {
	int code;
	int hol_flag;
	int col1_back;
	int col1_text;
	int col2_back;
	int col2_text;
	int col1_back_rgb;
	int col1_text_rgb;
	int col2_back_rgb;
	int col2_text_rgb;
	char text[260];
} HOL_COLOR;

#ifdef SPOT_LIB
#define DLL_EXPORT
#define STDCALL
#else
#define DLL_EXPORT __declspec( dllexport )
#define STDCALL    _stdcall
#endif

DLL_EXPORT int STDCALL SpotOpen(char *filename, int open_flag);
DLL_EXPORT int STDCALL SpotClose(int update_flag);
DLL_EXPORT int STDCALL SpotVersion(int *version);
DLL_EXPORT int STDCALL SpotCount(int *month_no, int *color_no);
DLL_EXPORT int STDCALL SpotLimit(int *st_year, int *st_month, int *en_year, int *en_month);
DLL_EXPORT int STDCALL SpotColorGet(int *dev_flag, HOL_COLOR *color_data);
DLL_EXPORT int STDCALL SpotColorSet(int dev_flag, int color_no, HOL_COLOR *color_data);
DLL_EXPORT int STDCALL SpotDataGet(int year, int month, int *data);
DLL_EXPORT int STDCALL SpotDataSet(int year, int month, int *data);
DLL_EXPORT int STDCALL SpotDataDelete(int year, int month);
